#pragma once

#include "CoreMinimal.h"
#include "SubPresenter.h"
#include "ChallengesMenuStoreSubPresenter.generated.h"

class UStoreCustomizationItemViewData;

UCLASS(Blueprintable)
class DBDUIPRESENTERS_API UChallengesMenuStoreSubPresenter : public USubPresenter
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TArray<UStoreCustomizationItemViewData*> _itemsData;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TArray<UStoreCustomizationItemViewData*> _previewAreaItemsData;

protected:
	UFUNCTION(BlueprintCallable)
	void OnStoreButtonClicked();

	UFUNCTION(BlueprintCallable)
	void OnPreviewAreaItemClicked(const int32 selectedIndex);

	UFUNCTION(BlueprintCallable)
	void OnCustomizationGridItemClicked(const int32 selectedIndex);

public:
	UChallengesMenuStoreSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UChallengesMenuStoreSubPresenter) { return 0; }
